Subject: Re: bug#44763: Error when 'make'ing latest version of coreutils

From: Chris Elvidge <[email-masked]>
Date: Sat, 21 Nov 2020 14:37:08 +0000

Well, that got me a bit further. Thanks.
Now the error from 'make' is:

   CC       lib/parse-datetime.o
In file included from lib/gettext.h:26:0,
                  from parse-datetime.y:71:
parse-datetime.y: In function 'parse_datetime2':
parse-datetime.y:2301:27: error: format '%lld' expects argument of type 
'long long int', but argument 2 has type 'time_t {aka long int}' 
[-Werror=format=]
parse-datetime.y:2301:25: note: in expansion of macro '_'
cc1: all warnings being treated as errors
Makefile:9842: recipe for target 'lib/parse-datetime.o' failed
make[2]: *** [lib/parse-datetime.o] Error 1
make[2]: Leaving directory '/home/chris/Downloads/coreutils'
Makefile:12479: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/home/chris/Downloads/coreutils'
Makefile:6581: recipe for target 'all' failed
make: *** [all] Error 2

I tried ./configure TIME_T_32_BIT_OK=yes - didn't make any difference.

I'm going to try again from scratch.
I'll let you know.

On 21/11/2020 01:17 pm, Bernhard Voelker wrote:
> On 11/20/20 5:38 PM, Chris Elvidge wrote:
>> Reran the whole thing from git clone etc.
>> (
>> git clone git://git.sv.gnu.org/coreutils
>> cd coreutils
>> ./bootstrap
>> git submodule foreach git pull origin master
>> git config --global user.email "[email-masked]"
>> git config --global user.name "Chris Elvidge"
>> git commit -m 'build: update gnulib submodule to latest' gnulib
>> ./configure
>> )
> 
> In general it is advised that one has to
> 
>   git clean -xdfq \
>    && ./bootstrap
> 
> again after a gnulib update.
> 
> Have a nice day,
> Berny
> 

-- 

Chris Elvidge

5 Ebor Park, Appleton Roebuck, York.  YO23 7DZ.
Tel (Mob): +447443472958 mailto:[email-masked]

Calle Padre Raimundo Codesal 1, Vélez-Málaga, 29700, España